#include <FastLED.h>
#include <ESP8266WiFi.h>

#define LED_PIN     13
#define NUM_LEDS    54
#define BRIGHTNESS  20
#define LED_TYPE    WS2812
#define COLOR_ORDER GRB
CRGB leds[NUM_LEDS];

#define UPDATES_PER_SECOND 100


void preinit() {
  ESP8266WiFiClass::preinitWiFiOff();
}


const int button = 12;
const int latch = 14;

void setup() {
  pinMode(latch, OUTPUT);
  digitalWrite(latch, HIGH);

  FastLED.addLeds<LED_TYPE, LED_PIN, COLOR_ORDER>(leds, NUM_LEDS).setCorrection( TypicalLEDStrip );
  FastLED.setBrightness(  10 );
  delay(300);

  for (int i = 0; i < 54; i++) {
    leds[i] = CRGB(0, 0, 0);
  }
  FastLED.show();

  delay(100);
  digitalWrite(latch, LOW);
}

void loop() {

}
